<?php
$title = 'Города/Страны';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1) {

    switch ($act) {

        case 'city':

            $strow = $connect->prepare("select * from `country` where `id` = ?");
            $strow->execute(array($id));
            $row = $strow->fetch();

            if (!$row)
                exit(header('Location: /adm/country'));

            $stmt_count = $connect->prepare("select count(*) from `city` where `country` = ?"); 
            $stmt_count->execute(array($id));
            $count_city = $stmt_count->fetchColumn();

            echo '<div class="title">Города: '.$row['name'].' ('.$count_city.')</div>';

            $num_u = $connect->prepare("select count(*) from `city` where `country` = ? and `id` = ?");
            $strow = $connect->prepare("select * from `city` where `id` = ?");

            if (isset($_GET['edit'])) {
                $num_u->execute(array($id, $_GET['edit']));
                if ($num_u->fetchColumn()) {
                    $strow->execute(array($_GET['edit']));
                    $row = $strow->fetch();
                    if (isset($_POST['cancel'])) {
                        header('Location: /adm/city/'.$id);
                    }
                    elseif (isset($_POST['red'])) {
                        $error = '';
                        if (empty($_POST['name'])) {
                            $error.= 'Введите название!<br/>';
                        }
                        if ($error) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            $stmt = $connect->prepare("update `city` set `name` = ? where `id` = ?");
                            if ($stmt->execute(array($_POST['name'], $_GET['edit']))) {
                                header('Location: /adm/city/'.$id);
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }
                    echo '<div class="menu">
                    <form action="" method="POST">
                    <input type="text" name="name" value="'.$row['name'].'">
                    <input type="submit" name="red" value="Сохранить ('.intval($_GET['edit']).')">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                } else {
                    header('Location: /adm/city/'.$id);
                }
            }
            elseif (isset($_GET['del'])) {
                $num_u->execute(array($id, $_GET['del']));
                if ($num_u->fetchColumn()) {
                    if (isset($_POST['yes'])) {
                        $stmt = $connect->prepare("delete from `city` where `id` = ?");
                        if ($stmt->execute(array($_GET['del']))) {
                            header('Location: /adm/city/'.$id);
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                    elseif (isset($_POST['no'])) {
                        header('Location: /adm/city/'.$id);
                    }

                    echo '<div class="menu">
                    <form action="" method="POST">
                    <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/> 
                    <input type="submit" name="no" value="Отмена"/>
                    </form></div>';
                } else {
                    header('Location: /adm/city/'.$id);
                }
            }
 
            if ($count_city == 0) {
                echo '<div class="menu">NONE</div>';
            } else {

                $page = new Pagination($count_city, 10);

                $data = $connect->prepare("select * from `city` where `country` = :country order by `id` desc limit :start, 10");
                $data->bindValue(':country', $id, PDO::PARAM_INT);
                $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {

                    echo '<div class="menu">
                    Город: '.$row['name'].'<br/>
                    <div class="butt2">
                    <a href="?del='.$row['id'].'">Удалить</a>
                    <a href="?edit='.$row['id'].'">Редактировать</a>
                    </div>
                    </div>';

                }

                $page->navigation();

            }

            echo '<div class="title">Новый город</div>';

            if (isset($_POST['submit'])) {
                $error = '';
                if (empty($_POST['name'])) {
                    $error.= 'Введите название города!<br/>';
                }
                if ($error) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $stmt = $connect->prepare("insert into `city` set `country` = ?, `name` = ?");
                    if ($stmt->execute(array($id, $_POST['name']))) {
                        header('Location: /adm/city/'.$id);
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }

            echo '<div class="menu">
            <form action="" method="POST">
            <input type="text" name="name">
            <input type="submit" name="submit" value="Добавить город">
            </form></div>';

            echo '<div class="forlink"><a href="/adm/country" class="links">Страны <<</a></div>';

            break;

        default:

            echo '<div class="title">Страны ('.$count_country.')</div>';

            $num_u = $connect->prepare("select count(*) from `country` where `id` = ?");
            $stmt_count = $connect->prepare("select count(*) from `city` where `country` = ?"); 
            $strow = $connect->prepare("select * from `country` where `id` = ?");

            if (isset($_GET['edit'])) {
                $num_u->execute(array($_GET['edit']));
                if ($num_u->fetchColumn()) {
                    $strow->execute(array($_GET['edit']));
                    $row = $strow->fetch();
                    if (isset($_POST['cancel'])) {
                        header('location: /adm/country');
                    }
                    elseif (isset($_POST['red'])) {
                        $error = '';
                        if (empty($_POST['name'])) {
                            $error.= 'Введите название!<br/>';
                        }
                        if ($error) {
                            echo '<div class="menu">'.$error.'</div>';
                        } else {
                            $stmt = $connect->prepare("update `country` set `name` = ? where `id` = ?");
                            if ($stmt->execute(array($_POST['name'], $_GET['edit']))) {
                                header('location: /adm/country');
                            } else {
                                echo '<div class="menu">Произошла ошибка!</div>';
                            }
                        }
                    }
                    echo '<div class="menu">
                    <form action="" method="POST">
                    <input type="text" name="name" value="'.$row['name'].'">
                    <input type="submit" name="red" value="Сохранить ('.intval($_GET['edit']).')">
                    <input type="submit" name="cancel" value="Отмена">
                    </form></div>';
                } else {
                    header('location: /adm/country');
                }
            }
            elseif (isset($_GET['del'])) {
                $num_u->execute(array($_GET['del']));
                if ($num_u->fetchColumn()) {
                    if (isset($_POST['yes'])) {
                        $stmt = $connect->prepare("delete from `country` where `id` = ?");
                        $city = $connect->prepare("delete from `city` where `country` = ?");
                        if ($stmt->execute(array($_GET['del'])) &&
                            $city->execute(array($_GET['del']))) {
                            header('location: /adm/country');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                    elseif (isset($_POST['no'])) {
                        header('location: /adm/country');
                    }

                    echo '<div class="menu">
                    <form action="" method="POST">
                    <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/> 
                    <input type="submit" name="no" value="Отмена"/>
                    </form></div>';
                } else {
                    header('location: /adm/country');
                }
            }
 
            if ($count_country == 0) {
                echo '<div class="menu">NONE</div>';
            } else {

                $page = new Pagination($count_country, 10);

                $data = $connect->prepare("select * from `country` order by `id` desc limit :start, 10");
                $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {

                    $stmt_count->execute(array($row['id']));
                    $count = $stmt_count->fetchColumn();

                    echo '<div class="menu">
                    Страна: '.$row['name'].'<br/>
                    <div class="butt2">
                    <a href="/adm/city/'.$row['id'].'">Города ('.$count.')</a><br/>
                    <a href="?del='.$row['id'].'">Удалить</a>
                    <a href="?edit='.$row['id'].'">Редактировать</a>
                    </div>
                    </div>';

                }

                $page->navigation();

            }

            echo '<div class="title">Новая страна</div>';

            if (isset($_POST['submit'])) {
                $error = '';
                if (empty($_POST['name'])) {
                    $error.= 'Введите название страны!<br/>';
                }
                if ($error) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $stmt = $connect->prepare("insert into `country` set `name` = ?");
                    if ($stmt->execute(array($_POST['name']))) {
                        header('location: /adm/country'); 
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }

            echo '<div class="menu">
            <form action="" method="POST">
            <input type="text" name="name">
            <input type="submit" name="submit" value="Добавить страну">
            </form></div>';

    }

} else {
    header ('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");

?>